# Generated by Django 2.0.1 on 2018-01-30 08:52

import django.db.models.deletion
from django.db import migrations, models


class Migration(migrations.Migration):

    dependencies = [
        ('app', '0020_type_display_document_due_text'),
    ]

    operations = [
        migrations.CreateModel(
            name='DueText',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('content', models.TextField(verbose_name='contenu')),
                ('created_at', models.DateTimeField(auto_now_add=True)),
                ('updated_at', models.DateTimeField(auto_now=True)),
            ],
            options={
                'verbose_name': "texte d'échéance",
                'verbose_name_plural': "textes d'échéance",
            },
        ),
        migrations.RemoveField(
            model_name='type',
            name='display_document_due_text',
        ),
        migrations.AddField(
            model_name='type',
            name='due_text',
            field=models.ForeignKey(null=True, on_delete=django.db.models.deletion.SET_NULL, to='app.DueText', verbose_name="texte d'échéance"),
        ),
    ]
